<form [formGroup]="addForm" (ngSubmit)="onSubmit()">
  <div class="row">
    <div class="col-sm-12" formArrayName="taskName">
      <div *ngFor="let task of addForm.get('taskName')['controls']; let i = index">
        <input class="form-control" type="text" [formControlName]="i">
      </div>
    </div>
  </div>

  <div class="row">
    <div class="col-sm-12">
      <div class="d-flex justify-content-center">
        <button type="submit" class="btn btn-primary" [disabled]="addForm.invalid">Add</button>
        <button type="button" (click)="addField()" class="btn btn-primary">Add Field</button>
      </div>
    </div>
  </div>
</form>
